<template lang="html">
    <div class="ui-button"
    >
      <button @click="on" type="button" name="button">{{ title.titleENG }}</button>
    </div>
</template>

<script>
export default {
    name: 'UiButton',
    props: ['title'],
}
</script>

<style lang="scss" scoped>
    .ui-button {

        width: 120px;
        height: 50px;

        font-weight: bold;
        display: flex;
        justify-content: center;
        align-items: center;

        background-image: url(../../assets/img/home/bg-button.png);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;

        button {
            font-family: sans-serif;
            font-size: 16px;
            font-weight: bold;
            color: black;

            width: 100%;
            height: 100%;
            border: none;
            background-color: transparent;
        }
    }

</style>
